@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");

:root {
    --background1: #f4f1e5;
    --background2: #ded1bd;
    --gray: #8e8d8a;
    --primary: #e85a4f;
    --secondary: #e98074;
    --black: #3a3a3a;
    --white: #ffffff;
    --accent: #ffba4b;
    --fontcol1: #803e08;
}

.main-header {
    white-space: normal;
    word-wrap: break-word;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: clamp(0.875rem, -0.1006rem + 3.6728vw, 1.5rem);
    margin-left: 0.5rem;
}

body {
    color: var(--black);
    font-family: "Nunito Sans", sans-serif;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
    background-color: var(--background1);
}

header {
    position: fixed;
    width: 100vw;
    top: 0;
    z-index: 99999;
    background: #d0b7a2;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 20px 25px -5px,
        rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;
}

/* LOADER */

.loader {
    display: flex;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 5000;
    background-color: #000000ae;
    justify-content: center;
    align-items: center;
    font-family: var(--fontSecondary);
    font-weight: 600;
    transition: 1s;
}

#my-loader span {
    display: inline-block;
    width: 15px;
    height: 15px;
    border-radius: 100%;
    background-color: #ffffff;
    margin: 35px 5px;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: #fff;
    background-color: #212529;
}

#my-loader span:nth-child(1) {
    animation: bounce 1s ease-in-out infinite;
}

#my-loader span:nth-child(2) {
    animation: bounce 1s ease-in-out 0.33s infinite;
}

#my-loader span:nth-child(3) {
    animation: bounce 1s ease-in-out 0.66s infinite;
}

@keyframes bounce {
    0%,
    75%,
    100% {
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
    }

    25% {
        -webkit-transform: translateY(-20px);
        -ms-transform: translateY(-20px);
        -o-transform: translateY(-20px);
        transform: translateY(-20px);
    }
}

.card {
    border: none;
    border-radius: 12px;
}

.form-label {
    font-size: 0.85rem;
}

.form-control,
.btn {
    padding: 10px 18px;
    border-radius: 12px;
}

.form-error {
    color: #d82c2c;
}

.navbar-logo {
    width: 2rem;
    height: 2rem;
}

.backdrop-blur-bg {
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(7px);
}

/* ---------------------------- */
/*          FONT WEIGHT         */
/* ---------------------------- */
.font-semibold {
    font-weight: 600;
}

/* ---------------------------- */
/*           FONT SIZE          */
/* ---------------------------- */
.text-sm {
    font-size: 0.85rem;
}

.text-lg {
    font-size: 1.25rem;
}

.text-xl {
    font-size: 1.5rem;
}

.cover-img {
    width: 100%;
    height: 100px;
}

.book-cover-img {
    width: 100%;
    height: 200px;
}

.file_preview_img {
    width: 45vw;
    margin: auto;
}

#pdf_doc_preview_div {
    display: flex;
    height: 75vh;
    overflow-y: scroll;
}

.doc_controls_div {
    display: flex;
    justify-content: center;
}

.doc_control_btn {
    font-size: 1.25rem;
    padding: 0.15rem 0.35rem 0 0.35rem;
    margin: 8px;
    border-radius: 25px;
}

.total_document_count_div {
    text-align: center;
    padding: 1.5rem 2rem;
    margin-bottom: 2rem;
    width: 16rem;
    border: 1px solid #dbc3ad;
    border-radius: 18px;
}

#img_drag_prevent {
    z-index: 5;
    position: absolute;
    background-color: #000000;
    opacity: 0.5;
    /* top: 3.5rem;
    left: 3.5rem; */
    top: 0;
    left: 0;
}

.pagination-btn {
    cursor: pointer;
}

.cursor-pointer {
    cursor: pointer !important;
}

.page-item.active .page-link {
    background-color: #30353a;
    border-color: #30363a;
}

.bg-beige {
    background-color: #ebe0d4 !important;
}

.dropdown-toggle::after {
    display: inline-block;
    margin-left: 0.5em;
    vertical-align: 0.16em;
    content: "";
    border-top: 0;
    border-right: 2px solid;
    border-bottom: 2px solid;
    border-left: 0;
    padding: 3px;
    transform: rotate(45deg);
}

.header-dropdown-menu {
    border: 0;
    border-radius: 4px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
        rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.doc-type-card {
    cursor: pointer;
    transition: 0.3s;
    padding: 2px;
}

.doc-type-card > img {
    border-radius: 10px;
}

.doc-type-card:hover {
    transform: scale(1.05);
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px,
        rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

.doc-type-card-title-holder {
    position: absolute;
    bottom: 1.5rem;
    left: 0;
    width: 100%;
}

.doc-type-card-title {
    background-color: rgba(255, 255, 255, 0.59);
    padding: 0.75rem 0;
}

.filter-container {
    max-height: 40vh;
    padding: 0 0.25rem;
    overflow-y: scroll;
}
